WildWest = {}

function WildWest.bakeMissions(toBake)
	local wildWestMissions = assert(loadfile("dlcs/wildwestheist/script/missions.lua"))
	wildWestMissions()

	--- Bake hub
	toBake[#toBake+1] = {id="start", file="dlcs/wildwestheist/hub_lockelle.xml", layers="tutorial", modId="dlc-wildwestheist"}
	toBake[#toBake+1] = {id="final", file="dlcs/wildwestheist/time_travel.xml", layers="outro", modId="dlc-wildwestheist"}

	toBake[#toBake+1] = {id="main", file="dlcs/wildwestheist/main.xml", layers="", modId="dlc-wildwestheist"}
	toBake[#toBake+1] = {id="timetravel", file="dlcs/wildwestheist/time_travel.xml", layers="landscape ravine_timetravel", modId="dlc-wildwestheist"}

	for i=1,9 do
		toBake[#toBake+1] = {id="hub"..i, file="dlcs/wildwestheist/hub.xml", layers="hub"..i, modId="dlc-wildwestheist"}
	end	

	for i,m in pairs(gMissions) do
      toBake[#toBake+1] = {id=i, file=m.file:gsub("MOD", "dlcs/wildwestheist"), layers=m.layers, modId="dlc-wildwestheist"}
    end
end

return WildWest